commit 6946d497e3fe496818fa70de6702934bf70e44ec
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 4 12:28:42 2016 +1000

    inputproto 2.3.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1dbdc297d915e4979a7823d6a569d9c7fed14617
Author: Andreas Boll <andreas.boll.dev@gmail.com>
Date:   Fri Dec 11 10:49:33 2015 +0100

    specs: Set TZ=UTC before calling asciidoc
    
    Set TZ=UTC before calling asciidoc to make the embedded dates invariant
    to timezones in order to make the package build reproducibly.
    
    Fixes bug:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=795981
    
    v2: Set TZ=UTC after $(AM_V_GEN) (fixes non-verbose build)
    
    Suggested-by: Eduard Sanou <dhole@openmailbox.org>
    Signed-off-by: Andreas Boll <andreas.boll.dev@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7c7c2c18864d166391e49758d83e9cc601bbfb17
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 27 14:22:58 2014 +1000

    specs: rename EVENTMASK to EVTYPEMASK
    
    EVENTMASK was used twice in the spec, once as the actual bitmask for events,
    once as the set of deviceid, mask length and mask.
    
    The libXi public API uses XIEventMask for the latter data triplet, so leave
    EVENTMASK, and rename the pure bitmask to EVTYPEMASK.
    
    Reported-by: Gabriel Laskar <gabriel@lse.epita.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 81378a1e7139af9d476d90df8737c0c1a58670f3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 25 11:04:38 2014 +1000

    specs: note the (unused) time field in XIPassiveGrabDevice
    
    We don't actually use it either in libXi or in the server, it's a copy/paste
    error that never got noticed and removed.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 343ff0938f592876b9d82c966f166bf45a78c3c8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 30 11:25:39 2014 +1000

    inputproto 2.3.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c2cf8cab4aa781306ff26b171107d26f12bac015
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Thu May 29 12:24:46 2014 +0200

    XI2: Fix XI_TouchOwnershipChangedMask value
    
    A none existing define
        XI_TouchOwnershipChanged
    had been used to set the value of XI_TouchOwnershipChangedMask. Fix this
    by using
        XI_TouchOwnership.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b4184619702b6801e3a2ea9733ae1620fa4ceda7
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 16 09:43:41 2013 -0800

    inputproto: Allow library users to avoid having the 'Pointer' typedef declared
    
    'Pointer' collides with too many other application names, so stop
    using it locally and allow applications to avoid having it in the API.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Eric Anholt <eric@anholt.net>

commit 3c1ebd1cfe71029ebc6a732a6b55308861e549e0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 14 19:30:24 2013 +1000

    specs: note that axis values are non-sparse arrays
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 06da19e15c9d3a9e57f4fe89fe507a4fa7160a45
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jul 19 15:54:45 2013 +1000

    specs: clarify SD keyboard focus behaviour
    
    The smart thing would be to have the SD's keyboard focus to be identical to
    the MD's keyboard focus (and a BadDevice returned when trying to set an
    attached SD's keyboard focus) but alas, the server never implemented this
    behaviour and we've now shipped 7 versions with separate SD and MD focus. So
    consider this set in stone. oops.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jasper St. Pierre <jstpierre@mecheye.net>

commit 65f14b2edaf70a2520e0180609f79f52836ca4f9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 26 09:42:05 2013 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Fix Automake warning: AC_OUTPUT should be used without arguments.
    www.gnu.org/software/autoconf/manual/autoconf.html#Configuration-Files
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f33a329026c9f2eaa5fa436543e4feb0e54b685d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 7 10:42:39 2013 +1000

    inputproto 2.3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f8428123019e7357891bbfc0aef21dbb4d0db10f
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 8cad031f9f583089dd33bae41dfa8a7e0d8a71f4
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:01:10 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4832c94775ee4a02cfaf53ba427d7cf677f70932
Merge: 48e3209 e93e9d0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Dec 17 14:24:59 2012 +1000

    Merge branch 'barriers'

commit e93e9d004c11a59cab56139c0c04ea2b5c6a926b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Dec 17 14:18:07 2012 +1000

    specs: removing a device results in a BarrierLeave event
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bc009eb4dadf2138212291da05b514854923ae85
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Dec 7 14:41:03 2012 +1000

    inputproto 2.2.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5f9d3b8584d88f49fa7533c429e32199a06ed215
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Dec 7 14:42:17 2012 +1000

    Add support for pointer barrier events
    
    Signed-off-by: Jasper St. Pierre <jstpierre@mecheye.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0b88ca65bdaab4c60f945fe64c48982bc89e5d1f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Dec 7 14:41:54 2012 +1000

    Claim support for XI 2.3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 48e32091c5a3220a464caad49fd7dd013c429eda
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Dec 7 12:55:24 2012 +1000

    Fix typo in comment
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 377efaaa9828b4004741744ae172a193b5483a34
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Wed Nov 7 12:41:49 2012 +0100

    specs: XI2: Fix mods in XIPassive(Un)GrabDevice
    
    XIPassiveGrabDevice and XIPassiveUngrabDevice are using lists of
    modifier masks. This one corrects these types.
    
    MODIFIERMASK was introduced, because a SETofMODIFIERMASK differs from a
    SETofKEYMASK: AnyModifier=(1<<15) vs. GrabAnyModifier=(1U<<31).
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit eb38fd9af846afe39287d5cf281b0274f42e8558
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Wed Nov 7 12:41:48 2012 +0100

    specs: XI2: Rename AxisClass to ValuatorClass
    
    ValuatorClass is the XI2 term for AxisClass.
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b30e7221b8888b674e6889beeada9b5b9dfc2f34
Author: Daniel Martin <consume.noise@gmail.com>
Date:   Wed Nov 7 12:41:47 2012 +0100

    specs: XI2: Fix typos
    
    Signed-off-by: Daniel Martin <consume.noise@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 743cb2cf1567cf685dfe5444621eb56447768c7c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Nov 2 15:37:28 2012 +1000

    XI2proto: spec formatting fix
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a06905c8efc053e8ffcd0fc93736c0e45b715c38
Author: Ran Benita <ran234@gmail.com>
Date:   Sat Oct 27 14:56:49 2012 +0200

    specs: XI2: add titles to requests/events and show them in TOC
    
    You often want to quickly jump to the specification of a specific
    request/event, so add them to the table of contents to allow for that.
    This also provides the reader with a quick glance at what the protocol
    looks like.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 74098071768a4b25670cf5582bc68433403deefe
Author: Ran Benita <ran234@gmail.com>
Date:   Sat Oct 27 14:56:48 2012 +0200

    specs: XI2: make event/request name formatting consistent
    
    None of the other have ':' there.
    
    Signed-off-by: Ran Benita <ran234@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3ed8aed32199edaa8621ccea571a04883e050cb5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 14 08:56:55 2012 +1000

    Fix two typos in spec/comments
    
    The ButtonClass provides the number of buttons, not the lentgh of the mask.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e752e92dbdcf01b1cd46a3853f582ff765d19e90
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 12:58:18 2012 +1000

    inputproto 2.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b02b0b42e266560bd48f7e8f38c8338417394fd0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 29 15:08:01 2012 +1000

    specs: XI 2.2 release date is March 2012
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 950a7a0b2e733d9713a88612b669603b0c155329
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 29 14:55:26 2012 +1000

    specs: Remove work in progress warning
    
    We're close enough to a release now.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 3ac053f2c7ef8d07b4a6dcb64d8ca47edad15716
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 10:31:26 2012 +1000

    specs: remove "since" from TouchOwnershipEvent
    
    It's already in a section "Events introduced in version 2.2"
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit b42e4d24a26fb8467ed54183480c9dacd66fc804
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 10:28:46 2012 +1000

    specs: remove TouchOwnership mention from DeviceEvent
    
    TouchOwnership is described separately below.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit a09ca92ce31ede86b883cb74fb1767f8ed687ca5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 10:26:04 2012 +1000

    specs: whitespace fix to avoid wrong asciidoc formatting
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit b1458f6fa9952365f4ad86dc87b385d467318fb1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 10:25:03 2012 +1000

    specs: fix link to touch ownership section
    
    Introduced in 535a4377ddb4c2680d54b4cbbb273134bb5f58a3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit b321ea46fbb251970c2d655b73209750f24c0b8e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 10:21:12 2012 +1000

    specs: GrabtypeTouchBegin was added in XI 2.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 3773e33579f0b5bd6de9f01481b8608fa3101a2b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 10:19:42 2012 +1000

    specs: formatting fix, move AcceptTouch and RejectTouch onto their own line
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 4de6f26a705062343f5b93dd9827a736c721e265
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 10:08:33 2012 +1000

    specs: replace † with ²
    
    † looks too much like a letter and we can't use * and ** because asciidoc
    interprets it as lists.
    
    Use numbers instead, and replace all current * with ¹.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 000a20296a3c52f4232aa466d29faa2e424ca626
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 10:07:21 2012 +1000

    specs: XITouchClass doesn't have properties
    
    Leftover from an earlier version.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 0d7bfc10bffa29de1b7217d6399e8f0d5b24c579
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 09:55:21 2012 +1000

    specs: Formatting fix
    
    asciidoc requires caption to be on one line but this one here is too long.
    Split it up instead.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 883143e3454c7fe44b12b11fc12ff3ec2267ecd1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 2 09:32:18 2012 +1000

    specs: some wording fixes
    
    Button press events are insufficient even on scroll wheels, so don't say
    they are good enough.
    
    Remove duplicate claim of event emulation
    
    Don't claim we send touch events "without delay"
    
    Touch screens hardly ever "physically move" an object.
    
    Hyphenate "implementation-dependent"
    
    Remove unnecessary "however"
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 9a2e10213c996010124a3d58e71140f41202416c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 29 14:56:37 2012 +1000

    specs: fix typos 'hierachy' → 'hierarchy'
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 5e18f74e24a17d6a1f18339600a00f5591dc6a82
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 8 03:17:28 2012 +1000

    Unbreak protocol ABI for XIAllowEvents - inputproto 2.1.99.6
    
    XIAllowEvents was extended with touchid and grab_window in
    2ea2f99f4fe1dcd3b8e539ca41c482fc40a0533d. This extended the size of
    the request from 12 to 20 but also broke the ABI. Older server
    match the request size exactly, so compiling libXi 1.5 against
    inputproto 2.2 and then running it against a pre-XI 2.2 server causes a
    BadLength for any XIAllowEvent request.
    
    Add a new request for the new data.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 217afacda01b082f39fb6816e62ec20e4791857f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 26 13:56:38 2012 +1000

    specs: explain touch behaviour for dependent devices
    
    Dependent devices don't send touch events until the interaction is a true
    touch interaction (i.e. doesn't just serve to move the pointer). Once that
    happens, all touchpoints send touch events exclusively. Pointer movement
    restarts once we're down to one touch that controls the pointer again.
    
    For clients listening to touch events in addition to pointer events, this
    also means that a two-finger tap looks identical to holding one finger down
    and tapping with a second-finger. Both actions will result in short
    TouchBegin/TouchEnd sequences for both fingers.
    
    The above is the default behaviour we expect from touchpads, the protocol is
    more generically worded to leave more room for drivers to decide when a
    touch only controls the pointer and when it doesn't.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit fc9372868bb772f38a6b17299ef26e3dc9c2ff87
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 26 13:36:24 2012 +1000

    specs: move touch support details to "Touch device support" section
    
    Keep the changelog small.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 92f769675b0e39c51280db9690db4b3d80637069
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 26 13:33:40 2012 +1000

    specs: remove superfluous "Changes introduced by ..."
    
    The line right above says the same thing.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 556ea96060071ab807ece4f77304208e15f25f9b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 26 13:32:33 2012 +1000

    specs: move touch mode explanations to where it belongs
    
    Rather than have two different explanations to the touch modes, remove it
    from the "Changes in version 2.2" section and merge the content into the
    text.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 535a4377ddb4c2680d54b4cbbb273134bb5f58a3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 25 17:03:15 2012 -0500

    specs: replace hard coded number in some "See section" references
    
    The glossary does not accept <<links>> however.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f3d2feead483f6637ef8ff004afad55b5bbf2c62
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 25 17:03:13 2012 -0500

    specs: fix Appendix A title
    
    This section starts a new numbered sequence.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 9ff28b092f91ea1d7ff58f54a9404347f517361b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 25 17:03:12 2012 -0500

    specs: remove older manually typed in section number
    
    These would come out in html as 5.2, 6.3 and 6.4.3.4
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 508a360f6530e75d94cd2999e56cb329b315ce5d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 25 17:03:14 2012 -0500

    specs: use subsections to group use cases description
    
    It makes an entry in the appendix for quick navigation.
    It looks more readable with subtitles.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 08ba2d4e1094fb196d1b7a7b3a3b27a81cb9834c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 25 17:03:11 2012 -0500

    specs: Edit titles for section 3 and 4
    
    In the htlm version, the section number appeared to be 3.2.1 and
    4.2.2 because of the generated section number.
    
    A section title should not begin with a number.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 1306ccf9f262c0c699bec093ffdc4b6695601599
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 6 13:35:25 2012 +1000

    inputproto 2.1.99.5
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 997ae0343730c66d581fd147741cbe27fbe55af2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 3 09:26:22 2012 +1000

    Set a flag on the pointer-emulating touch event
    
    Toolkits need to know which touch event emulated a pointer event and which
    ones do not. To quote Carlos Garnacho:
    
        GTK+ does client-side windows by default (GdkWindows without a backing X
        window), for this to work the toplevel window in the client needs to
        select for more events that it wouldn't normally select for in order to
        cater for the event masks in such child "windows". This means that
        ideally GTK+ should set the touch events mask in the toplevel, and then
        find out whether the "window" would receive pointer or touch events for
        the sequence emulating the pointer, and perform the emulation itself.
    
    Reported-by: Carlos Garnacho <carlosg@gnome.org>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5ee845c1bf457159a034111c3d0df584aa600cd6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 3 09:24:38 2012 +1000

    specs: purge leftover TouchAccepted note
    
    This flag does not exist anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit e65ba758c2d4147c3873c63c262db36ec23bba63
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 3 09:23:23 2012 +1000

    specs: only pointer events have a PointerEmulated flag
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 9611be0a5bc7f4d583d49d51a0e98d3b9b75fc7a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Dec 23 18:03:09 2011 +1000

    specs: Clarify rejection for touch events on current owner
    
    The current owner never gets a TouchUpdate(PendingEnd), that event is
    superfluous for the owner. The owner receives a TouchEnd when the touch
    physically ends. If the touch is still active, the owner receives a
    TouchEnd after rejecting the touch.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit b9f1b26f076cdba373e8b7a0b73384b35e8d799c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 21 15:30:22 2011 +1000

    inputproto 2.1.99.4
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b4da32ed2856fef3e8135f03c9194f9dd0287f66
Merge: 8640944 c508e93
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 21 15:28:44 2011 +1000

    Merge branch 'multitouch-devel'
    
    Conflicts:
    	configure.ac
    	specs/XI2proto.txt

commit c508e9360414f9724cc875a4731a5fd8a3969d2b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 21 15:27:47 2011 +1000

    specs: add XI 2.1 release to history section
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5c9a6569e5182a4c4c6ec052bcd76a9ca3b8f645
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 21 15:24:44 2011 +1000

    Remove --enable-unstable-protocol configure option
    
    Protocol is reasonably stable and about to be merged onto the master
    branch. People should be used to stuff on master being a tad unstable, don't
    require any specific configure flags.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit aef700dbac09d3c8a576387be47e5693460f1393
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 21 15:23:23 2011 +1000

    specs: remove parts of the "Work in progress" warning
    
    The protocol is stable enough now that a simple warning should be enough.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9a9746b95f3585bba9730105769e9c74520f6bc4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 20 08:23:55 2011 +1000

    Reinstate libXi's version defines
    
    Realistically, we can't remove these from the protocol without breaking
    older libraries.
    
    Introduced in a02566ca7fd37d279b957037e1251a3b3419866d
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit ee0bc61ee3fd775127f8cd222d83314f66255f2b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Dec 20 08:22:52 2011 +1000

    Drop wrong comment for sourceid in TouchOwnershipEvents
    
    Copy/paste error from DeviceChangedEvent
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 8640944f4ff193027ce0f21622918b88da910e72
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Dec 16 11:06:13 2011 +1000

    inputproto 2.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b701750ee99e1e227ad8baa994b6fd3398949a3a
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Dec 15 17:07:54 2011 +0100

    specs: Fix tiny typo.
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8687f155d8072763c2c7d52cb48eb5f46bfaf705
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 14 08:56:59 2011 +1000

    specs: clarify button state in touch events
    
    Emulated pointer events will have button 1 logically down, but touch events
    only represent the actual button state, irrespective of the touches.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit b1d71fe4cd3871a78e442159443c141193e79a7f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 14 08:56:09 2011 +1000

    specs: drop leftover from active_touches removal
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 02eadf00f07abb9b0f19a05728b70e42eac08adb
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Dec 13 10:35:18 2011 -0800

    inputproto 2.1.99.3
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 84c049b6603e370afcd267ce4c53a566f842fd69
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Mon Dec 12 10:50:58 2011 -0800

    State that future touch IDs are indeterminate
    
    This just makes it absolutely clear that clients should not make any
    assumptions about future touch ID values.
    
    I also added "strictly monotonically" increasing to the definition of
    touch IDs. It's a more precise definition of the protocol.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 7d20c9bf38d3d47adc7fb1a70faa370dda1a390c
Author: Chase Douglas <cndougla@cndougla.(none)>
Date:   Fri Dec 9 13:32:35 2011 -0800

    Touch IDs must be globally unique
    
    XIAllowEvents with a master device and a touch ID must uniquely identify
    a touch sequence. If touch IDs were unique per slave device, multiple
    slave devices could have valid sequences with the same touch ID, and the
    sequences may both be grabbed through the same master device grab.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit c4703fd9d97c962d5c599a7f826a9a11fc91ee70
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Dec 12 10:26:20 2011 +1000

    Remove XI2.1 and XI2.2 warnings and errors
    
    This is too much of a pain, anyone who includes XI headers needs to define
    this. And that affects input and output drivers as well as legacy clients
    that don't even need the new stuff.
    
    Removing the need for defines would be enough but then the warnings clog up
    the output and hide real warnings. Just ditch them and laugh at those that
    use an experimental branch and expect it to work.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 019a252a59c1d076b07a0162cb3ee6af42ceea14
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Dec 2 15:03:46 2011 +1000

    specs: typo fix
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a9fcea66eb18fab330f3b27b3daedef2b5c9210a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Nov 11 14:33:34 2011 +1000

    specs: smooth scrolling was added in 2.1, say so
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c9c4e13e8a3eb90b45c5ef65f729089b7f742e6a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Nov 11 14:22:08 2011 +1000

    inputproto 2.1.99.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 279524b089c7b42871ee072cfc03a1fad7421b7b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Nov 8 15:36:02 2011 +1000

    specs: scroll events have no specific event type, state so.
    
    This wasn't clear enough in the current spec.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9f2b1a33063b139756e08951affe802e8af39a76
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Nov 8 15:29:24 2011 +1000

    specs: We're up to version 2.1 now, say so
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b289b1c039e36a9440c238ff09dfa3eb67e141e4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 20 15:55:54 2011 +1000

    XI2: Use touchid, not touch_id in XIAllowEvents
    
    Be consistent with other usages of touchid.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 86ce2d05e86852d52f5b135ad03288e4cb16d5df
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Nov 3 09:30:20 2011 +1000

    XI2: swap (Raw)TouchUpdate and (Raw)TouchEnd
    
    Not having the event codes in the order begin/update/end does my head in
    when debugging. It also means there's no symmetry between raw and normal
    touch events as the ownership event is wedged in between.
    Rearrange event codes to be Begin/Update/End for both, with the
    OwnershipEvent being in between.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 463ffaabab506ad6ddb3b55c5781ae91fcccfd04
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 23 08:41:18 2011 +1000

    specs: clarify that Preferred scroll valuators are per scroll direction
    
    Reported-by: Daniel Stone <daniel@fooishbar.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cec7567863c3d363b6b75c707540cfe524f849ba
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Sep 14 22:09:28 2011 -0500

    Revert addition of active_touches to device events
    
    I can't remember why it's there, and I don't see how it may be useful.
    If a client really wants to know how many touches are on the device,
    they can listen to raw events and count the number of active touches.
    
    (Real reason: extending events is hard :)
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 22c06a5ddb1d3be2743a79b78eff3844f457dc5e
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Sep 14 20:15:49 2011 -0500

    Fix Xi 2.x version comment in XI2.h
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 88410aa51d03dbb5599e979998137ba6558ff677
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Sep 13 16:59:54 2011 -0500

    inputproto 2.1.99.1 (first snapshot of 2.2)
    
    Note that this is built on top of 2.0.99.1, which is a development
    snapshot of 2.1.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit fa16231f0e5244cdcf77e262647525716f507bdd
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Sep 14 10:10:14 2011 -0500

    Allow grabbing clients to accept or reject touches any time
    
    This is potentially both a performance and client complexity
    improvement. An example is a gesture recognizer using touch grabs on
    each window with a subscription. If events on a child window are known
    to not match any subscription on the child window, then the client
    should be able to reject the touch grab even if the parent window hasn't
    accepted any of the touches, perhaps because the parent window
    gesture hasn't timed out or crossed other thresholds yet.
    
    As an inverse example, the events may match a child window subscription
    before the root window has rejected ownership. The child window should
    be able to accept the touch proactively. This allows for further clients
    to receive a TouchEnd event earlier, and means the client may be able to
    reduce state being tracked. If this were not allowed, the client would
    need to wait until it received ownership before accepting the sequence.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2ea2f99f4fe1dcd3b8e539ca41c482fc40a0533d
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Sep 14 09:46:18 2011 -0500

    Extend XIAllowEvents for handling touch grab processing
    
    This removes the XIAllowTouchEvents request, which was the only new
    request added for multitouch.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3c400af4f98740debd7916ad711cf91124a0f994
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Sep 13 15:47:15 2011 -0500

    Add event windows to ownership events
    
    Also, match device event structure to make things easy.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit dd9e4bc5f5f2e0eb87b08199ce417849070249ab
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Sep 13 15:30:34 2011 -0500

    Really kill touch valuators
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 05fc509fdca8d8b414a20f1359b9cb80caf5240a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 14 05:46:43 2011 +1000

    specs: if a sequence ends, all clients get TouchPendingEnd
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 94fecdf129d8ab5bece049a26eed03d24affb549
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 14 05:26:54 2011 +1000

    specs: remove broken asciidoc link to XIAllowTouchEvents
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 4782a76b6e679493f130a53afe158a13628fa504
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 14 05:25:15 2011 +1000

    specs: remove comment about overlapping selections, not true
    
    There are no overlapping selections for touch events.
    
